tls-checker:
  image: alpine:latest
  # variables:
  #   TARGET: "gitlab.example.com"
  script:
    - apk add openssl
    - echo | openssl s_client -servername $TARGET --connect $TARGET:443 --verify_hostname $TARGET --showcerts 
    - echo | openssl s_client -servername $TARGET --connect $TARGET:443 --verify_hostname $TARGET --showcerts > results.txt 2>&1 
  artifacts:
    paths:
      - results.txt
